Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class StringResult

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.StringResult

All Implemented Interfaces:
  `android.os.Parcelable`

public class StringResult extends Object implements android.os.Parcelable
Multi-alphabet String result.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<StringResult>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringResult(String[] values, Rectangle[] locations, int[] side)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `isEmpty()`
  Checks if this `StringResult` result is empty.
  `Rectangle`
  `location(AlphabetType alphabetType)`
  Returns field location of the specified alphabet type result.
  `Side`
  `side(AlphabetType alphabetType)`
  Returns side of the specified alphabet type result.
  `String`
  `toString()`
  `String`
  `value()`
  Returns the non-empty value, if such is present, with priority given to Latin alphabet.
  `String`
  `value(AlphabetType alphabetType)`
  Returns value of the specified alphabet type.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<StringResult> CREATOR

- ## Constructor Details

  - ### StringResult

    public StringResult(String[] values, Rectangle[] locations, int[] side)

- ## Method Details

  - ### value

    @NonNull public String value()
    Returns the non-empty value, if such is present, with priority given to Latin alphabet.
    Returns:
      String result with priority given to Latin alphabet

  - ### value

    @NonNull public String value(AlphabetType alphabetType)
    Returns value of the specified alphabet type.
    Parameters:
      `alphabetType` - `AlphabetType` of the returned String
    Returns:
      value of the specified alphabet type

  - ### location

    @Nullable public Rectangle location(AlphabetType alphabetType)
    Returns field location of the specified alphabet type result. Returns rectangle with top, bottom, left, and right set to 0 if field is not present on the card.
    Parameters:
      `alphabetType` - `AlphabetType` of this `StringResult` for which the side will be returned
    Returns:
      location of the specified alphabet type result

  - ### side

    @Nullable public Side side(AlphabetType alphabetType)
    Returns side of the specified alphabet type result. Returns `null` if field is not present on the card.
    Parameters:
      `alphabetType` - `AlphabetType` of this `StringResult` for which the side will be returned
    Returns:
      side of the specified alphabet type result

  - ### isEmpty

    public boolean isEmpty()
    Checks if this `StringResult` result is empty.
    Returns:
      true if the result is empty, false otherwise

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`